Bug 649495

Summary: Review Request: openstack-nova - OpenStack Compute (nova)
Product: [Fedora] Fedora Reporter: Silas Sewell <silas>
Component: Package ReviewAssignee: David Nalley <david>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bdpepple, bloch, cctrieloff, david, fabian.deutsch, fedora-package-review, knight, mail, major, matt_domsch, mrunge, notting, pahan, ry, sander
Target Milestone: ---Flags: david: fedora‑review?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=707199
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-25 20:48:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 673637    
Bug Blocks:    

Description Silas Sewell 2010-11-03 16:07:58 EDT
Spec Url:
https://github.com/silas/rpms/raw/master/openstack-nova/openstack-nova.spec

SRPM Url:
https://github.com/downloads/silas/rpms/openstack-nova-2010.1-1.fc13.src.rpm

Description:
Nova is a cloud computing fabric controller (the main part of an IaaS system) built to match the popular AWS EC2 and S3 APIs. It is written in Python, using the Tornado and Twisted frameworks, and relies on the standard AMQP messaging protocol, and the Redis KVS.

Nova is intended to be easy to extend, and adapt. For example, it currently uses an LDAP server for users and groups, but also includes a fake LDAP server, that stores data in Redis. It has extensive test coverage, and uses the Sphinx toolkit (the same as Python itself) for code and user documentation.

NOTE

This package isn't done yet, I'm just putting it up to start getting feedback from the Fedora Cloud SIG, although by the time you read this it might be ready, so check comments below.
Comment 1 Silas Sewell 2010-11-04 10:12:11 EDT
SRPM:
https://github.com/downloads/silas/rpms/openstack-nova-2010.1-2.fc13.src.rpm

Fixed many of the runtime issues (all daemons now start).
Comment 2 Fabian Deutsch 2010-12-20 08:37:44 EST
You said the package isn't complete yet. So what is open and needs to be done?
Comment 3 Silas Sewell 2010-12-20 18:37:18 EST
I just need to do more testing and ensure everything works correctly. The basics are there and seem to work, but its not 100%.

I should have time either some night this week or at least this weekend.

If anyone wants to install the packages and try to get everything working together and report back bugs that would move it along faster.

P.S. Obviously it also depends on python-carrot.
Comment 4 Fabian Deutsch 2011-01-12 11:22:18 EST
Just to get started. sphinx is pulling in some external things when the package is beeing build.
Comment 5 Carl Trieloff 2011-01-12 13:12:45 EST
I don't see that it picks up the Qpid packages for AMQP correctly which are in Fedora. Can that be fixed before the review request is approved. Qpid 0-8 has been pushed to FC, so test against that version

Once this has been fixed, I'll be happy to check it.

Carl.
Comment 6 Silas Sewell 2011-01-12 22:54:04 EST
Cart,

First, thanks for your input!

Second, I'm not really sure server components should be required by the package.

I think if you ran Nova at any type of scale you're not going to have the AMQP server(s) on any of the Nova servers.

From a packaging standpoint I think it would be similar to something like Wordpress where the product obviously requires it, the package should require the drivers (php-mysql) to configure the application to talk to the service (in our case python-carrot), but assuming the user will want the database and the web server to live on the same machine doesn't seem right.

Also, although AMQP in theory should be compatible I haven't had much luck with python-amqplib and qpid, but I also haven't tried in about a year.

If we decided to push anything I'd default to what upstream is developing and testing against, which last time I checked was RabbitMQ.

Anyway, I haven't had much time in the last month fully test this, but I'm setting aside some next over the next week or two to get it up and running again.

Thanks again!
Comment 7 Silas Sewell 2011-01-12 22:56:04 EST
Cart.. not sure how I missed that typo, sorry, I meant Carl.
Comment 8 Major Hayden 2011-02-22 08:27:52 EST
Silas, The RPM looks quite good so far.  I just noticed that /etc/logrotate.d/openstack-nova is the same file as /etc/nova/nova-manage.conf:

http://pastie.org/1593753
Comment 9 David Nalley 2011-03-26 13:57:11 EDT
Silas: 

Are you still interested in packaging nova?? If not, let me know I'll try and find a 
Bexar is of course out now, but the review hasn't seen an update in a month or so, are you waiting on some additional feedback?? What can we do to move this forward?
Comment 10 Silas Sewell 2011-03-29 20:28:46 EDT
Yeah, if someone would like to take it over feel free, I just can't seem to find the time to get it updated, tested and working.
Comment 11 Fabian Deutsch 2011-04-20 15:41:37 EDT
I've updated the spec file created by Silas, so it builds fine for the latest stable openstack-nova release 2011.2

SRPM: http://fedorapeople.org/~fabiand/openstack/openstack-nova-2011.2-1.fc15.src.rpm

SPEC: https://gitorious.org/rpms/rpms/blobs/master/openstack-nova/openstack-nova.spec

It is still a bit rough around the edges, my intention is to get it into fedora, so people can start testing. This might also be interesting for the Cloud SIG.

opestack-glance will be the next step.
Comment 12 Fabian Deutsch 2011-04-21 09:21:10 EDT
There are already packages for rhel6:
https://github.com/abrindeyev/openstack-nova-rhel6
Comment 13 Pant 2011-04-30 18:33:22 EDT
Well... I have fedora 14 and i have installed the repository for openstack. My problem is that openstack need python 2.6 , but i have python 2.7 ...I think that you should test it with the 2.7 and make it works with that...

Good job!
Comment 14 Robert Knight 2011-05-20 05:30:11 EDT
The srpm in #11 builds unpackaged files for ajaxterm.  Should it be an additional package or part of some other?
Comment 15 Fabian Deutsch 2011-05-20 07:41:34 EDT
I suppose that is a mistake. Those files should be part of the package.
Btw. there is now someone with packages for Fedora: http://mirantis.blogspot.com/2011/05/openstack-deployment-on-fedora-using.html
Maybe those specs can be used upstream, if they follow Fedoras package guidelines - and they are willing to contribute.
Comment 16 Fabian Deutsch 2011-06-03 07:46:13 EDT
bug #707199 also provides spec files for nova.
Comment 17 Carl Trieloff 2011-06-03 08:51:39 EDT
Also, although AMQP in theory should be compatible I haven't had much luck with
python-amqplib and qpid, but I also haven't tried in about a year.


I don't believe amqp-lib is comaptibale. There is a python lib in fedora, python-qpid which is qpid and Rabbit & every other AQMP broker compat.

For fedora, easiest would be to swap out amqp-lib out with python-qpid

Carl.
Comment 18 Robert Knight 2011-06-03 09:06:00 EDT
The ajaxterm should probably be part of the compute package. (Comment 14)

The spec files are there, but the src.rpm URL gets a 404.  (Comment 16)
Comment 19 Matthias Runge 2011-06-15 07:11:31 EDT
is this a duplicate of bug #707199 ?
Comment 20 Fabian Deutsch 2011-06-15 07:59:13 EDT
I suppose both specs were developed at a different time, but without knowledge of each other.

bug #707199 looks much more mature.
Comment 21 Ryan Rix 2011-06-24 23:30:38 EDT
@Silas: Could you and Oleg in #707199 figure out which of the SRPMs should be reviewed, even if it means comaintaining some combination of both :) We'd like to mark one of these as a duplicate, and make sure people end up with less work at the end.
Comment 22 Silas Sewell 2011-06-25 20:48:52 EDT

*** This bug has been marked as a duplicate of bug 707199 ***